org.wildfly.swarm.config.undertow.configuration.reverse_proxy

## Class Host<T extends Host<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.configuration.reverse_proxy.Host<T>

-     public class Host<T extends Host<T>>
      extends Object

  A host that the reverse proxy will forward requests to

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Host(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `enableHttp2()` If this is true then the proxy will attempt to use HTTP/2 to connect to the backend.
    `T` | `enableHttp2(Boolean value)` If this is true then the proxy will attempt to use HTTP/2 to connect to the backend.
    `String` | `getKey()`
    `String` | `instanceId()` The instance id (aka JVM route) that will be used to enable sticky sessions
    `T` | `instanceId(String value)` The instance id (aka JVM route) that will be used to enable sticky sessions
    `String` | `outboundSocketBinding()` Outbound socket binding for this host
    `T` | `outboundSocketBinding(String value)` Outbound socket binding for this host
    `String` | `path()` Optional path if host is using non root resource
    `T` | `path(String value)` Optional path if host is using non root resource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `scheme()` What kind of scheme is used
    `T` | `scheme(String value)` What kind of scheme is used
    `String` | `securityRealm()` The security realm that provides the SSL configuration for the connection to the host
    `T` | `securityRealm(String value)` The security realm that provides the SSL configuration for the connection to the host
    `String` | `sslContext()` Reference to the SSLContext to be used by this handler.
    `T` | `sslContext(String value)` Reference to the SSLContext to be used by this handler.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Host

          public Host(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### enableHttp2

          public Boolean enableHttp2()

      If this is true then the proxy will attempt to use HTTP/2 to connect to the backend. If it is not supported it will fall back to HTTP/1.1/

    - #### enableHttp2

          public T enableHttp2(Boolean value)

      If this is true then the proxy will attempt to use HTTP/2 to connect to the backend. If it is not supported it will fall back to HTTP/1.1/

    - #### instanceId

          public String instanceId()

      The instance id (aka JVM route) that will be used to enable sticky sessions

    - #### instanceId

          public T instanceId(String value)

      The instance id (aka JVM route) that will be used to enable sticky sessions

    - #### outboundSocketBinding

          public String outboundSocketBinding()

      Outbound socket binding for this host

    - #### outboundSocketBinding

          public T outboundSocketBinding(String value)

      Outbound socket binding for this host

    - #### path

          public String path()

      Optional path if host is using non root resource

    - #### path

          public T path(String value)

      Optional path if host is using non root resource

    - #### scheme

          public String scheme()

      What kind of scheme is used

    - #### scheme

          public T scheme(String value)

      What kind of scheme is used

    - #### securityRealm

          public String securityRealm()

      The security realm that provides the SSL configuration for the connection to the host

    - #### securityRealm

          public T securityRealm(String value)

      The security realm that provides the SSL configuration for the connection to the host

    - #### sslContext

          public String sslContext()

      Reference to the SSLContext to be used by this handler.

    - #### sslContext

          public T sslContext(String value)

      Reference to the SSLContext to be used by this handler.

Copyright © 2017 JBoss by Red Hat. All rights reserved.